List Available Operators
get
/v1/graphs/{graph_id}/operatorPart of Operator.
Filter by capability using the capability query param (e.g., financial_analysis, rag_search).
Authentication
Authenticate in any one of these ways — not all of them:
- API key in the
X-API-Keyheader. - Bearer token in the
Authorizationheader.
Path parameters
| Name | Type | Description |
|---|---|---|
graph_idrequired | string | Graph Id |
Query parameters
| Name | Type | Description |
|---|---|---|
capabilityoptional | string | Filter by capability (e.g., 'financial_analysis', 'rag_search') |
Example request
curl
curl -X GET "https://api.robosystems.ai/v1/graphs/{graph_id}/operator" \
-H "X-API-Key: $ROBOSYSTEMS_API_KEY"Responses
200 Successful Response
| Field | Type | Description |
|---|---|---|
operatorsrequired | object | Dictionary of available operators with metadata |
totalrequired | integer | Total number of operators |
| Status | Meaning |
|---|---|
| 400 | Invalid request |
| 401 | Authentication required |
| 403 | Access denied |
| 404 | Resource not found |
| 422 | Validation Error |
| 429 | Rate limit exceeded |
| 500 | Internal server error |